FactoryTrait< std::shared_ptr< T > > Class Template Reference
Template metaprogramming classes

Type trait to enable the use of a factory product as command line option. More...

`#include <mia/core/factory_trait.hh>`

Inheritance diagram for FactoryTrait< std::shared_ptr< T > >:
[legend]
Collaboration diagram for FactoryTrait< std::shared_ptr< T > >:
[legend]

## Public Types

typedef FactoryTrait< T >::type | type
| the typetrait type

## Detailed Description

template<class T>
class FactoryTrait< std::shared_ptr< T > >

Type trait to enable the use of a factory product as command line option.

This trait specializes FactoryTrait for shared pointers.

Definition at line 57 of file factory_trait.hh.

## Member Typedef Documentation

## type

template<class T>

typedef FactoryTrait<T>::type FactoryTrait< std::shared_ptr< T > >::type

the typetrait type

Definition at line 61 of file factory_trait.hh.

The documentation for this class was generated from the following file:

- factory_trait.hh